

/*
-- ------ Language ------ --
*/
function Language(){}
//-- ------ #Parameters ------ --

Language.prototype.sAjax_0=new netsSingleAjax();
Language.prototype.sIDS=new Array();
Language.prototype.sIDS_Index=0;


//-- ------ #Methods ------ --
//#Sending
Language.prototype.OnMakeLanguage_ALL=function(){
	document.getElementById(tmpFrames.sysContentBoxFrame).className=tmpCommon.sysHidden;
	document.getElementById(tmpFrames.sysContentBoxReport+"Box").className="contentBoxReportBox";
	var tmpElement_Report=document.getElementById(tmpFrames.sysContentBoxReport);
	tmpElement_Report.className="contentBoxReport";
	tmpElement_Report.innerHTML="正在为您准备生成语言包..."+tmpCommon.sysSPLIT8;
	tmpElement_Report.innerHTML="数据已准备好，开始生成语言包..."+tmpCommon.sysSPLIT8+tmpElement_Report.innerHTML;
	
	this.sIDS_Index=0;
	
	var tmpURL=tmpCommon.sysPage+"?ActionType=DMakePackage&DMakePackage=ALL"+tmpCommon.sysSPLIT1+
		0+tmpCommon.sysSPLIT1+0+tmpCommon.sysSPLIT1+0;
	document.getElementById(tmpCommon.sysBatchMachineFramet).src=tmpURL;
	
	tmpElement_Report.innerHTML="<span class=FBlack4>"+tmpURL+"</span>"+tmpCommon.sysSPLIT8+tmpElement_Report.innerHTML;
	return 0;
}
Language.prototype.OnMakeLanguage_Byid=function(pID){
	document.getElementById(tmpFrames.sysContentBoxFrame).className=tmpCommon.sysHidden;
	document.getElementById(tmpFrames.sysContentBoxReport+"Box").className="contentBoxReportBox";
	var tmpElement_Report=document.getElementById(tmpFrames.sysContentBoxReport);
	tmpElement_Report.className="contentBoxReport";
	tmpElement_Report.innerHTML="正在为您准备生成语言包..."+tmpCommon.sysSPLIT8;
	tmpElement_Report.innerHTML="数据已准备好，开始生成语言包..."+tmpCommon.sysSPLIT8+tmpElement_Report.innerHTML;

	this.sIDS=new Array();
	this.sIDS[0]=pID;
	this.sIDS_Index=0;

	var tmpURL=tmpCommon.sysPage+"?ActionType=DMakePackage&DMakePackage=SINGLE"+tmpCommon.sysSPLIT1+
		pID+tmpCommon.sysSPLIT1+0+tmpCommon.sysSPLIT1+0;
	document.getElementById(tmpCommon.sysBatchMachineFramet).src=tmpURL;

	tmpElement_Report.innerHTML="<span class=FBlack4>"+tmpURL+"</span>"+tmpCommon.sysSPLIT8+tmpElement_Report.innerHTML;
	return 0;
}
Language.prototype.MakeLanguage_Callback=function(pFlag,pID,pIndex){
	//-- #Check framebox state --
	if(parent.document.getElementById(parent.tmpFrames.sysContentBox).className==tmpCommon.sysHidden){
		return 1;
	}
	var tmpURL="";
	var tmpElement_Report=parent.document.getElementById(parent.tmpFrames.sysContentBoxReport);
	//-- ### --
	if(pFlag=="SETIDS"){
		//-- ------ #SETIDS ------ --
		parent.tmpLanguage.sIDS=pID.split(tmpCommon.sysSPLIT1);
		tmpElement_Report.innerHTML="生成语言包数据列表..."+tmpCommon.sysSPLIT8+tmpElement_Report.innerHTML;
		
		tmpURL=tmpCommon.sysPage+"?ActionType=DMakePackage&DMakePackage=SINGLE"+tmpCommon.sysSPLIT1+
			parent.tmpLanguage.sIDS[parent.tmpLanguage.sIDS_Index]+tmpCommon.sysSPLIT1+0+tmpCommon.sysSPLIT1+0;
		window.location=tmpURL;
		
		tmpElement_Report.innerHTML="<span class=FBlack4>"+tmpURL+"</span>"+tmpCommon.sysSPLIT8+tmpElement_Report.innerHTML;
	}else if(pFlag=="NEXTID"){
		//-- ------ #NEXTID ------ --
		tmpElement_Report.innerHTML="<span class=\"FBlue3\">已完成ID为（"+parent.tmpLanguage.sIDS[parent.tmpLanguage.sIDS_Index]+"）的采集...</span>"+tmpCommon.sysSPLIT8+tmpElement_Report.innerHTML;
		parent.tmpLanguage.sIDS_Index++;
		if(parent.tmpLanguage.sIDS.length>parent.tmpLanguage.sIDS_Index){
			tmpURL=tmpCommon.sysPage+"?ActionType=DMakePackage&DMakePackage=SINGLE"+tmpCommon.sysSPLIT1+
				parent.tmpLanguage.sIDS[parent.tmpLanguage.sIDS_Index]+tmpCommon.sysSPLIT1+0+tmpCommon.sysSPLIT1+0;
			window.location=tmpURL;
		}else{
			tmpURL="http://";
			tmpElement_Report.innerHTML="<span class=\"FRed3\">已完成所有语言包的生成</span>"+tmpCommon.sysSPLIT8+tmpElement_Report.innerHTML;
		}
		
		tmpElement_Report.innerHTML="<span class=FBlack4>"+tmpURL+"</span>"+tmpCommon.sysSPLIT8+tmpElement_Report.innerHTML;
	}else if(pFlag=="END"){
		//-- ------ #END ------ --
		tmpElement_Report.innerHTML="<span class=\"FRed3\">已完成所有语言包的生成</span>"+tmpCommon.sysSPLIT8+tmpElement_Report.innerHTML;
		
	}
	
	
	return 0;
}


//-- ------ #Instanct ------ --
var tmpLanguage=new Language();



